import { jsx } from "react/jsx-runtime";
import { Handbag as Handbag$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Handbag = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Handbag", ...props, children: /* @__PURE__ */ jsx(Handbag$1, { weight: variant }) });
  }
);
Handbag.displayName = "Handbag";
Object.assign(Handbag, { isGdsIcon: true });
export {
  Handbag
};
